Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding.library
Class Library

    java.lang.Object
      org.apache.cocoon.forms.binding.library.Library

public class Library
extends Object

Form binding library.

Version:
  $Id: Library.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary
`protected class` | `Library.Dependency` Encapsulates a uri to designate an import plus a timestamp so previously reloaded

Field Summary
`protected JXPathBindingManager.Assistant` | `assistant`
`protected Map` | `definitions`
`protected Map` | `inclusions`
`protected LibraryManager` | `manager`
`static String` | `SEPARATOR`
`protected Object` | `shared`
`protected String` | `sourceURI`

Constructor Summary
`Library(LibraryManager lm, JXPathBindingManager.Assistant assistant)`

Method Summary
`void` | `addBinding(Binding binding)`
`void` | `buildLibrary(Element libraryElement)`
`boolean` | `dependenciesHaveChanged()`
`Binding` | `getBinding(String key)`
`String` | `getSourceURI()`
`boolean` | `includeAs(String key, String sourceURI)` "Registers" a library to be referenced later under a certain key or prefix.
`void` | `setSourceURI(String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

### manager

    protected LibraryManager manager

### definitions

    protected Map definitions

### inclusions

    protected Map inclusions

### shared

    protected final Object shared

### sourceURI

    protected String sourceURI

### assistant

    protected JXPathBindingManager.Assistant assistant

Constructor Detail

### Library

    public Library(LibraryManager lm,
                   JXPathBindingManager.Assistant assistant)

Method Detail

### setSourceURI

    public void setSourceURI(String uri)

### getSourceURI

    public String getSourceURI()

### dependenciesHaveChanged

    public boolean dependenciesHaveChanged()
                                    throws LibraryException

  Throws:
    `LibraryException`

### includeAs

    public boolean includeAs(String key,
                             String sourceURI)
                      throws LibraryException

  "Registers" a library to be referenced later under a certain key or prefix. Definitions will be accessible locally through prefixing: "prefix:definitionid"

  Parameters:
    `key` - the key
    `sourceURI` - the source of the library to be know as "key"
  Returns:
    true if there was no such key used before, false otherwise
  Throws:
    `LibraryException` - if unable to load included library

### getBinding

    public Binding getBinding(String key)
                       throws LibraryException

  Throws:
    `LibraryException`

### buildLibrary

    public void buildLibrary(Element libraryElement)
                      throws Exception

  Throws:
    `Exception`

### addBinding

    public void addBinding(Binding binding)
                    throws LibraryException

  Throws:
    `LibraryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.